Index: asp3_gr_sakura/trunk/kernel/kernel_check.trb
===================================================================
--- asp3_gr_sakura/trunk/kernel/kernel_check.trb	(revision 317)
+++ asp3_gr_sakura/trunk/kernel/kernel_check.trb	(revision 318)
@@ -9,62 +9,47 @@
 #               Graduate School of Information Science, Nagoya Univ., JAPAN
 #  
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
-# 
-#   $Id: kernel_check.trb 662 2016-02-27 02:33:51Z ertl-hiro $
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
+# 
+#   $Id$
 #  
 
 #
-#		ã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã®ãã¹3ã®çæã¹ã¯ãªãã
-#
-
-# 
-#  ã¿ã¤ã ã¹ã¿ã³ããã¡ã¤ã«ã®æå®
+#		コンフィギュレータのパス3の生成スクリプト
+#
+
+# 
+#  タイムスタンプファイルの指定
 # 
 $timeStampFileName = "check.timestamp"
 
 #
-#  ãã¼ã¿ã»ã¯ã·ã§ã³ã®LMAããVMAã¸ã®ã³ãã¼
+#  データセクションのLMAからVMAへのコピー
 #
 if !$lmaList.nil?
@@ -86,6 +71,5 @@
 
 #
-#  éç¥æ
-å ±ã®ãã§ãã¯é¢æ°
+#  通知情報のチェック関数
 #
 $tmax_tskid = $TMIN_TSKID + $cfgData[:CRE_TSK].size - 1
@@ -95,5 +79,5 @@
 
 def checkNotifyHandler(key, params, objid, exinf, nfyhdr)
-  # ãã©ã¡ã¼ã¿ãå¤æ°ã«æ ¼ç´
+  # パラメータを変数に格納
   nfymode = params[:nfymode]
   nfymode1 = nfymode & 0x0f
@@ -103,18 +87,17 @@
   funcname = "_kernel_nfyhdr_#{params[objid]}"
 
-  # éç¥å¦çã®ãã©ã¡ã¼ã¿æ°ã«ããè£æ­£å¦ç
+  # 通知処理のパラメータ数による補正処理
   if nfymode1 == $TNFY_SETVAR || nfymode1 == $TNFY_SETFLG \
 								|| nfymode1 == $TNFY_SNDDTQ
-    # éç¥å¦çã®ãã©ã¡ã¼ã¿ã2ã¤ã®å ´å
+    # 通知処理のパラメータが2つの場合
     epar1 = params[:par3]
     epar2 = params[:par4]
   else
-    # éç¥å¦çã®ãã©ã¡ã¼ã¿ã1ã¤ã®å ´å
+    # 通知処理のパラメータが1つの場合
     epar1 = params[:par2]
     epar2 = params[:par3]
   end
 
-  #	ã¿ã¤ã ã¤ãã³ããã³ãã©ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI3693ï¼½
+  #	タイムイベントハンドラの先頭番地のチェック［NGKI3693］
   if nfymode == $TNFY_HANDLER
     tmehdr = nfyhdr
@@ -129,12 +112,12 @@
   end
 
-  #	ã¤ãã³ãéç¥å¦çã®å¤æ°ã®çªå°ã¨ãªãã¸ã§ã¯ãIDã®ãã§ãã¯
+  #	イベント通知処理の変数の番地とオブジェクトIDのチェック
   if nfymode1 == $TNFY_SETVAR || nfymode1 == $TNFY_INCVAR
-    # å¤æ°ã®è¨­å®ï¼ã¤ã³ã¯ãªã¡ã³ãã«ããã¿ã¤ã ã¤ãã³ãã®éç¥
+    # 変数の設定／インクリメントによるタイムイベントの通知
 	p_var = exinf
     params1 = params.dup
     params1[:p_var] = par1
 
-    # å¤æ°ã®çªå°ã®ãã§ãã¯ï¼»NGKI3699ï¼½ï¼»NGKI3897ï¼½
+    # 変数の番地のチェック［NGKI3699］［NGKI3897］
     if (p_var & ($CHECK_INTPTR_ALIGN - 1)) != 0
       error_wrong_id("E_PAR", params1, :p_var, objid, "not aligned")
@@ -144,40 +127,40 @@
     end
   elsif (nfymode1 == $TNFY_ACTTSK || nfymode1 == $TNFY_WUPTSK)
-    # ã¿ã¹ã¯ã®èµ·åï¼èµ·åºã«ããã¿ã¤ã ã¤ãã³ãã®éç¥
+    # タスクの起動／起床によるタイムイベントの通知
     tskid = exinf
     params1 = params.dup
     params1[:tskid] = par1
 
-    # ã¿ã¹ã¯IDã®ãã§ãã¯ï¼»NGKI3704ï¼½
+    # タスクIDのチェック［NGKI3704］
     if !($TMIN_TSKID <= tskid && tskid <= $tmax_tskid)
       error_illegal_id("E_ID", params1, :tskid, objid)
     end
   elsif nfymode1 == $TNFY_SIGSEM
-    # ã»ããã©ã®è³æºã®è¿å´ã«ããã¿ã¤ã ã¤ãã³ãã®éç¥
+    # セマフォの資源の返却によるタイムイベントの通知
     semid = exinf
     params1 = params.dup
     params1[:semid] = par1
 
-    # ã»ããã©IDã®ãã§ãã¯ï¼»NGKI3707ï¼½
+    # セマフォIDのチェック［NGKI3707］
     if !($TMIN_SEMID <= semid && semid <= $tmax_semid)
       error_illegal_id("E_ID", params1, :semid, objid)
     end
   elsif nfymode1 == $TNFY_SETFLG
-    # ã¤ãã³ããã©ã°ã®ã»ããã«ããã¿ã¤ã ã¤ãã³ãã®éç¥
+    # イベントフラグのセットによるタイムイベントの通知
     flgid = exinf
     params1 = params.dup
     params1[:flgid] = par1
 
-    # ã¤ãã³ããã©ã°IDã®ãã§ãã¯ï¼»NGKI3710ï¼½
+    # イベントフラグIDのチェック［NGKI3710］
     if !($TMIN_FLGID <= flgid && flgid <= $tmax_flgid)
       error_illegal_id("E_ID", params1, :flgid, objid)
     end
   elsif nfymode1 == $TNFY_SNDDTQ
-    # ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡ã«ããã¿ã¤ã ã¤ãã³ãã®éç¥
+    # データキューへの送信によるタイムイベントの通知
     dtqid = exinf
     params1 = params.dup
     params1[:dtqid] = par1
 
-    # ãã¼ã¿ã­ã¥ã¼IDã®ãã§ãã¯ï¼»NGKI3713ï¼½
+    # データキューIDのチェック［NGKI3713］
     if !($TMIN_DTQID <= dtqid && dtqid <= $tmax_dtqid)
       error_illegal_id("E_ID", params1, :dtqid, objid)
@@ -185,12 +168,12 @@
   end
 
-  # ã¨ã©ã¼éç¥å¦çã®å¤æ°ã®çªå°ã¨ãªãã¸ã§ã¯ãIDã®ãã§ãã¯
+  # エラー通知処理の変数の番地とオブジェクトIDのチェック
   if (nfymode2 == $TENFY_SETVAR || nfymode2 == $TENFY_INCVAR)
-    # å¤æ°ã®è¨­å®ï¼ã¤ã³ã¯ãªã¡ã³ãã«ããã¨ã©ã¼ã®éç¥
+    # 変数の設定／インクリメントによるエラーの通知
     p_var = PEEK(SYMBOL(funcname + "_p_evar"), $sizeof_intptr_t)
     params1 = params.dup
     params1[:p_var] = epar1
 
-    # å¤æ°ã®çªå°ã®ãã§ãã¯ï¼»NGKI3701ï¼½ï¼»NGKI3897ï¼½
+    # 変数の番地のチェック［NGKI3701］［NGKI3897］
     if (p_var & ($CHECK_INTPTR_ALIGN - 1)) != 0
       error_wrong_id("E_PAR", params1, :p_var, objid, "not aligned")
@@ -200,40 +183,40 @@
     end
   elsif nfymode2 == $TENFY_ACTTSK || nfymode2 == $TENFY_WUPTSK
-    # ã¿ã¹ã¯ã®èµ·åï¼èµ·åºã«ããã¨ã©ã¼ã®éç¥
+    # タスクの起動／起床によるエラーの通知
     tskid = PEEK(SYMBOL(funcname + "_etskid"), $sizeof_ID)
     params1 = params.dup
     params1[:tskid] = epar1
 
-    # ã¿ã¹ã¯IDã®ãã§ãã¯ï¼»NGKI3704ï¼½
+    # タスクIDのチェック［NGKI3704］
     if !($TMIN_TSKID <= tskid && tskid <= $tmax_tskid)
       error_illegal_id("E_ID", params1, :tskid, objid)
     end
   elsif nfymode2 == $TENFY_SIGSEM
-    # ã»ããã©ã®è³æºã®è¿å´ã«ããã¨ã©ã¼ã®éç¥
+    # セマフォの資源の返却によるエラーの通知
 	semid = PEEK(SYMBOL(funcname + "_esemid"), $sizeof_ID)
     params1 = params.dup
     params1[:semid] = epar1
 
-    # ã»ããã©IDã®ãã§ãã¯ï¼»NGKI3707ï¼½
+    # セマフォIDのチェック［NGKI3707］
     if !($TMIN_SEMID <= semid && semid <= $tmax_semid)
       error_illegal_id("E_ID", params1, :semid, objid)
     end
   elsif nfymode2 == $TENFY_SETFLG
-    # ã¤ãã³ããã©ã°ã®ã»ããã«ããã¨ã©ã¼ã®éç¥
+    # イベントフラグのセットによるエラーの通知
     flgid = PEEK(SYMBOL(funcname + "_eflgid"), $sizeof_ID)
     params1 = params.dup
     params1[:flgid] = epar1
 
-    # ã¤ãã³ããã©ã°IDã®ãã§ãã¯ï¼»NGKI3710ï¼½
+    # イベントフラグIDのチェック［NGKI3710］
     if !($TMIN_FLGID <= flgid && flgid <= $tmax_flgid)
       error_illegal_id("E_ID", params1, :flgid, objid)
     end
   elsif nfymode2 == $TENFY_SNDDTQ
-    # ãã¼ã¿ã­ã¥ã¼ã¸ã®éä¿¡ã«ããã¨ã©ã¼ã®éç¥
+    # データキューへの送信によるエラーの通知
     dtqid = PEEK(SYMBOL(funcname + "_edtqid"), $sizeof_ID)
     params1 = params.dup
     params1[:dtqid] = epar1
 
-    # ãã¼ã¿ã­ã¥ã¼IDã®ãã§ãã¯ï¼»NGKI3715ï¼½
+    # データキューIDのチェック［NGKI3715］
     if !($TMIN_DTQID <= dtqid && dtqid <= $tmax_dtqid)
       error_illegal_id("E_ID", params1, :dtqid, objid)
@@ -243,5 +226,5 @@
 
 # 
-#  ã¿ã¹ã¯ã«é¢ãããã§ãã¯
+#  タスクに関するチェック
 # 
 tinib = SYMBOL("_kernel_tinib_table")
@@ -249,6 +232,5 @@
   task = PEEK(tinib + $offsetof_TINIB_task, $sizeof_TASK)
 
-  # ã¿ã¹ã¯ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI1033ï¼½
+  # タスクの先頭番地のチェック［NGKI1033］
   if (task & ($CHECK_FUNC_ALIGN - 1)) != 0
     error_wrong_id("E_PAR", params, :task, :tskid, "not aligned")
@@ -258,6 +240,5 @@
   end
 
-  # ã¿ã¹ã¯ã®ã¹ã¿ãã¯é åã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI1056ï¼½
+  # タスクのスタック領域の先頭番地のチェック［NGKI1056］
   if $USE_TSKINICTXB
     stk = GetStackTskinictxb(key, params, tinib)
@@ -276,5 +257,5 @@
 
 # 
-#  åºå®é·ã¡ã¢ãªãã¼ã«ã«é¢ãããã§ãã¯
+#  固定長メモリプールに関するチェック
 # 
 mpfinib = SYMBOL("_kernel_mpfinib_table")
@@ -282,6 +263,5 @@
   mpf = PEEK(mpfinib + $offsetof_MPFINIB_mpf, $sizeof_void_ptr)
 
-  # åºå®é·ã¡ã¢ãªãã¼ã«é åã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI2249ï¼½
+  # 固定長メモリプール領域の先頭番地のチェック［NGKI2249］
   if (mpf & ($CHECK_MPF_ALIGN - 1)) != 0
     error_wrong_id("E_PAR", params, :mpf, :mpfid, "not aligned")
@@ -295,5 +275,5 @@
 
 # 
-#  å¨æéç¥ã«é¢ãããã§ãã¯
+#  周期通知に関するチェック
 # 
 cycinib = SYMBOL("_kernel_cycinib_table")
@@ -302,6 +282,5 @@
   nfyhdr = PEEK(cycinib + $offsetof_CYCINIB_nfyhdr, $sizeof_NFYHDR)
 
-  #	éç¥æ
-å ±ã®ãã§ãã¯
+  #	通知情報のチェック
   checkNotifyHandler(key, params, :cycid, exinf, nfyhdr)
 
@@ -310,5 +289,5 @@
 
 # 
-#  ã¢ã©ã¼ã éç¥ã«é¢ãããã§ãã¯
+#  アラーム通知に関するチェック
 # 
 alminib = SYMBOL("_kernel_alminib_table")
@@ -317,6 +296,5 @@
   nfyhdr = PEEK(alminib + $offsetof_ALMINIB_nfyhdr, $sizeof_NFYHDR)
 
-  #	éç¥æ
-å ±ã®ãã§ãã¯
+  #	通知情報のチェック
   checkNotifyHandler(key, params, :almid, exinf, nfyhdr)
 
@@ -325,5 +303,5 @@
 
 #
-#  ãªã¼ãã©ã³ãã³ãã©ã«é¢ãããã§ãã¯
+#  オーバランハンドラに関するチェック
 #
 ovrinib = SYMBOL("_kernel_ovrinib")
@@ -331,6 +309,5 @@
   ovrhdr = PEEK(ovrinib + $offsetof_OVRINIB_ovrhdr, $sizeof_OVRHDR)
 
-  # ãªã¼ãã©ã³ãã³ãã©ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI2613ï¼½
+  # オーバランハンドラの先頭番地のチェック［NGKI2613］
   if (ovrhdr & ($CHECK_FUNC_ALIGN - 1)) != 0
     error_wrong("E_PAR", $cfgData[:DEF_OVR][1], :ovrhdr, "not aligned")
@@ -342,5 +319,5 @@
 
 #
-#  å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã«é¢ãããã§ãã¯
+#  割込みサービスルーチンに関するチェック
 #
 isrinib = SYMBOL("_kernel_isrinib_table")
@@ -348,6 +325,5 @@
   isr = PEEK(isrinib + $offsetof_ISRINIB_isr, $sizeof_ISR)
 
-  # å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³ã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI3004ï¼½
+  # 割込みサービスルーチンの先頭番地のチェック［NGKI3004］
   if (isr & ($CHECK_FUNC_ALIGN - 1)) != 0
     error_wrong_id("E_PAR", params, :isr, :isrid, "not aligned")
@@ -361,5 +337,5 @@
 
 # 
-#  éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é åã«é¢ãããã§ãã¯
+#  非タスクコンテキスト用のスタック領域に関するチェック
 # 
 istkAddr = SYMBOL("_kernel_istk")
@@ -367,6 +343,5 @@
   istk = PEEK(istkAddr, $sizeof_void_ptr)
 
-  # éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é åã®å
-é ­çªå°ã®ãã§ãã¯ï¼»NGKI3222ï¼½
+  # 非タスクコンテキスト用のスタック領域の先頭番地のチェック［NGKI3222］
   if (istk & ($CHECK_STACK_ALIGN - 1)) != 0
     error_wrong("E_PAR", $cfgData[:DEF_ICS][1], :istk, "not aligned")
@@ -378,5 +353,5 @@
 
 # 
-#  ã«ã¼ãã«ãå²ãä»ããã¡ã¢ãªé åã«é¢ãããã§ãã¯
+#  カーネルが割り付けるメモリ領域に関するチェック
 # 
 kmmAddr = SYMBOL("_kernel_kmm")
@@ -384,6 +359,5 @@
   kmm = PEEK(kmmAddr, $sizeof_void_ptr)
 
-  # ã«ã¼ãã«ãå²ãä»ããã¡ã¢ãªé åã®å
-é ­çªå°ã®ãã§ãã¯
+  # カーネルが割り付けるメモリ領域の先頭番地のチェック
   if (kmm & ($CHECK_MB_ALIGN - 1)) != 0
     error_wrong("E_PAR", $cfgData[:DEF_KMM][1], :kmm, "not aligned")
